config/routes.rb
Rails.application.routes.draw do
    # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
    # resources :users do
    #     get :sign_up, on: :collection
    #     # get :sign_in, on: :collection
    #     post :sign_in_user
    # end

    get '/404' => "errors#not_found"
    get '/422' => "errors#unacceptable"
    get '/500' => "errors#internal_error"

    get '/auth/:provider/callback', to: 'oauth#callback', as: 'oauth_callback'
    get '/auth/failure', to: 'oauth#failure', as: 'oauth_failure'


    devise_scope :user do
        authenticated :user do
            get '/' => 'home#index', as: :authenticated_root
        end

        unauthenticated do
            root 'sessions#new', as: :unauthenticated_root
        end
    end

    devise_for :users, controllers: { registrations: 'registrations', sessions: "sessions", passwords: "passwords" }
    devise_scope :user do
        get "user/password/successful_reset_password" , :to => "devise/passwords#successful_reset_password" , :as => :successful_reset_password
        post "verify_school_user", :to => "registrations#verify_school_user"
    end

    resources :users, only: [ :edit, :update ] do
        post :reset_password, on: :collection
        put :change_password, on: :collection
        post :upload_resume, on: :collection
        get :download_resume, on: :collection
    end

    resources :companies do
        get :get_cities, on: :collection
        post :search, on: :collection
        get :fetch_master_data, on: :collection
        post :add_company_as_favorite, on: :collection
        get :sponsored_petitions, on: :collection
        get :search_industry, on: :collection
        get :search_company, on: :collection
        get :company_select2, on: :collection
        get :industry_select2, on: :collection
        get :university_select2, on: :collection
        get :birth_country_select2, on: :collection
        get :job_title_select2, on: :collection
        get :state_select2, on: :collection
        get :city_select2, on: :collection
        post :fetch_map_data, on: :collection
    end

    resources :videos do
        get :get_video_list, on: :collection
        get :search, on: :collection
        get :order_list, on: :collection
    end

    resources :jobs, only: :index do
        post :search, on: :collection
        get :get_open_jobs, on: :collection
        post :favorite_job, on: :collection
    end

    resources :country_insights, only: [:index, :show] do
        get :search, on: :collection
    end

    resources :notifications, only: [ :index ] do
        get :read, on: :member
    end
    resources :gameplan, only: [ :index ] do
        get :take_test, on: :collection
        post :user_answers, on: :collection
    end
    resources :checklists, only: [ :index, :create ] do
        post 'delete_checklist', on: :collection, as: 'delete_checklist'
        post 'edit_checklist', on: :collection, as: 'edit_checklist'
        post 'mark_checklist', on: :collection, as: 'mark_checklist'
    end
    resources :network_trackers do
        get :search, on: :collection
    end
    resources :favorite_companies, only: [ :index, :create ]
    resources :feedbacks, only: [ :new, :create ]
    resources :contact_us, only: [ :new, :create ]

    get :list_post_comments, to: 'home#list_post_comments'
    post :add_comment, to: 'home#add_comment'
    post :like_post, to: 'home#like_post'
    post :add_post, to: 'home#add_post'
    post :favorite_post, to: 'home#favorite_post'
    get :get_link_info, to: 'home#get_link_info'
    post :delete_comment, to: 'home#delete_comment'
    post :bookmarked_articles, to: 'home#bookmarked_articles'
    get :search, to: 'home#search'
    get :delete_post, to: 'home#delete_post'

end

app/models/company.rb
class Company < ActiveRecord::Base

	JSON_LIST = [:id,:company_name]

    ##Scope
	default_scope -> { where(is_deleted: false) }

	##Methods
	def destroy
		update_attribute(:is_deleted, true);
	end

	def self.sort_order(params)
		spreadsheet = open_spreadsheet(params[:file])
		header = spreadsheet.row(1)
		success_count = 0
		failed_count = 0
		message = []
		@data = {}
		company_array = []
		(2..spreadsheet.last_row).each do |i|
			row = Hash[[header, spreadsheet.row(i)].transpose]
			e_msg = ""
			company_data = Company.find_by(:company_name => row["company_name"])
			
			result = false
			if company_data
				last_sort_order = Company.where(" sort_order != 1000 ").order("sort_order desc").first.sort_order
				company_data.update_attributes(:sort_order => last_sort_order+1)
				result = true
			end
			
			if result
				success_count += 1
			else
				failed_count += 1
				e_msg = company_data.errors.full_messages.first
				if message.include? e_msg
				else
					message.push(e_msg)
				end
				company_array.push(row)
			end
			@data.merge!(:failed_count => failed_count,:messages => message,:success_count=> success_count , :failed_company_array => company_array)
		end

		Rails.logger.info"==================update_array============#{@data.inspect}"
		return @data
	end

	#Import
	def self.import(params)
		spreadsheet = open_spreadsheet(params[:file])
		header = spreadsheet.row(1)
		success_count = 0
		update_count = 0
		failed_count = 0
		message = []
		@data = {}
		update_array = []
		company_array = []
		(2..spreadsheet.last_row).each do |i|
			row = Hash[[header, spreadsheet.row(i)].transpose]
			e_msg = ""
			company_data = Company.find_by(:company_name => row["company_name"])
			update = false
			result = false
			if company_data
				update = true
				company_data.update_attributes(:company_name => row["company_name"])
			else
				company = Company.new
				company.company_name = row["company_name"]
				if company.save
					result = true
				end
			end
			if update
				update_count += 1 
				e_msg = company.errors.full_messages.first
				if message.include? e_msg
				else
					message.push(e_msg)
				end
				update_array.push(row)
			end
	
			if result
				success_count += 1
			else
				failed_count += 1
				e_msg = company.errors.full_messages.first
				if message.include? e_msg
				else
					message.push(e_msg)
				end
				company_array.push(row)
			end
			@data.merge!(:failed_count => failed_count,:messages => message,:success_count=> success_count , :failed_company_array => company_array,:updated_company_array => update_array)
		end

		Rails.logger.info"==================update_array============#{@data.inspect}"
		return @data
	end
		

  	def self.open_spreadsheet(file)
  		Rails.logger.info "==============#{file.path}"
		case File.extname(file.original_filename)
			when ".csv" then Roo::Csv.new(file.path, packed: false, file_warning: :ignore)
			when ".xls" then Roo::Excel.new(file.path, nil, :ignore)
			when ".xlsx" then  Roo::Excelx.new(file.path, nil, :ignore)
		else raise "Unknown file type: #{file.original_filename}"
		end
	end

end

app/controllers/companies_controller.rb
class CompaniesController < ApplicationController
    def index
        begin
            # session[:companies_search] = ""
            logger.info "=====cook===#{session[:companies_search].inspect}"
            @states = State.all.order("state_name asc")#.limit(100)
            @cities = City.all.order("city_name asc").limit(100)
            @job_titles = JobTitle.all.order("job_title_name asc")
            @industries = Industry.all.order('sort_order ASC').limit(500)
            @companies = Company.all.order('sort_order ASC').limit(500)
            @favorite_companies = FavoriteCompany.get_list(current_user)
            @companies_list = Company.all.order("company_name asc").limit(100)
            @birth_countries = BirthCountry.all.order("name asc").limit(500)
            @universities = University.all.order("name asc").limit(500)
            @cities = City.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('sort_order < 1000').order('city_name asc')
            load_default_companies
        rescue Exception => e
        end
    end

    def get_cities
        state_ids = params[:state_ids].split(',')
        if params[:tab_type].present?
            case params[:tab_type]
            when 'greencard'
                if params[:state_ids].present? && params[:state_ids] != 'null'
                    @cities = GreenCardCity.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('state_id in (?) and sort_order < 1000', state_ids).order('city_name asc')
                else
                    @cities = GreenCardCity.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('sort_order < 1000').order('city_name asc')
                end
            when 'alumni'
                if params[:state_ids].present? && params[:state_ids] != 'null'
                    @cities = UniversityCity.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('state_id in (?) and sort_order < 1000', state_ids).order('city_name asc')
                else
                    @cities = UniversityCity.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('sort_order < 1000').order('city_name asc')
                end
            else
                if params[:state_ids].present? && params[:state_ids] != 'null'
                    @cities = City.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('state_id in (?) and sort_order < 1000', state_ids).order('city_name asc')
                else
                    @cities = City.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('sort_order < 1000').order('city_name asc')
                end
            end
        else
            if params[:state_ids].present? && params[:state_ids] != 'null'
                @cities = City.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('state_id in (?) and sort_order < 1000', state_ids).order('city_name asc')
            else
                @cities = City.select('id', ' CONCAT(UCASE(LEFT(lower(city_name), 1)), SUBSTRING(lower(city_name), 2)) AS city_name').where('sort_order < 1000').order('city_name asc')
            end
        end
        @cities
        # result =  @cities.map{|x| [
        #     id: x.id,
        #     city_name: x.city_name.titleize
        #     ]
        # }
        # @cities = result.flatten
    end

    def search
        # logger.info { "=====all params------#{params.inspect}" }
        # logger.info { "=========search=============#{params[:search].inspect}" }
        search_data = []
        search_attr = search_params
        # logger.info { "==assigned====#{search_attr}" }
        session[:companies_search] = ""
        # params[:search].permit
        logger.info "====search=============#{search_params.inspect}"
        group_param = params[:is_show_map] == "true" ? " latitude,longitude " : "company_id"
        limit = params[:limit] ? params[:limit]  : "100"
		offset = params[:offset] ? params[:offset]  : "0"


        params[:search].each do |key, value|
            value.each do |v|
                params[:search][key].reject!{ |x| x == v && v == ""}
            end
        end
        params[:search].reject!{ |x| x.empty? || x.blank? }
        logger.info { "======params=====#{search_attr.to_h.class}" }
        additional_params = { 'type' => params[:type], 'areatype' => params[:areatype], 'year' => params[:year] }
        # search_attr.merge(additional_params)
        # search_data = { search: search_attr, type: params[:type], areatype: params[:areatype], year: params[:year] }
        search_data = additional_params.merge(search_attr.to_h)
        logger.info { "==========search paramsp========#{search_data.inspect}" }
        # search_data.merge({ type: params[:type], areatype: params[:areatype], year: params[:year] })
        # logger.info "---data==#{search_data}"
        session[:companies_search] = search_data
        if params[:type].present? && params[:type].eql?('greencard')
            result = find_green_card(limit, offset, group_param, params)
        elsif params[:type].present? && params[:type].eql?('alumni')
            result = find_alumni(limit, offset, group_param, params)
        else
            result = find_company(limit, offset, group_param, params)
        end
        # logger.info "===r3es===#{result.inspect}"
		return
    end

    def fetch_master_data
        if params[:type].eql?('greencard')
            logger.info { "1" }
            @states = GreenCardState.all.order("state_name asc") #.pluck(:id, :state_name)#.limit(100)
            @cities = GreenCardCity.where('sort_order < 1000').order("city_name asc").limit(100) #.pluck(:id, :city_name)
            @job_titles = GreenCardJobTitle.where('sort_order < 1000').order("sort_order asc") #.pluck(:id, :job_title_name)
            @industries = GreenCardIndustry.all.order('industry_name ASC').limit(500) #.pluck(:id, :industry_name)
            @companies = GreenCardCompany.all.order('company_name ASC').limit(500) #.pluck(:id, :company_name)
            @favorite_companies = FavoriteCompany.get_list(current_user)
            @companies_list = GreenCardCompany.all.order("company_name asc").limit(100) #.pluck(:id, :company_name)
            @birth_countries = BirthCountry.all.order("name asc").limit(500) #.pluck(:id, :name)
            @universities = University.where('sort_order < 1000').order("sort_order asc") #.pluck(:id, :name)
            response = { states: @states, industries: @industries, job_titles: @job_titles, companies: @companies, company_list: @company_list, birth_countries: @birth_countries, universities: @universities, cities: @cities }
        elsif params[:type].eql?('alumni')
            logger.info { "2" }
            @states = UniversityState.all.order("state_name asc") #.pluck(:id, :state_name)#.limit(100)
            @cities = UniversityCity.all.order("city_name asc").limit(100) #.pluck(:id, :city_name)
            @job_titles = UniversityJobTitle.all.order("sort_order asc") #.pluck(:id, :job_title_name)
            @industries = UniversityIndustry.all.order('industry_name ASC').limit(500) #.pluck(:id, :industry_name)
            @companies = UniversityCompany.all.order('company_name ASC').limit(500) #.pluck(:id, :company_name)
            @favorite_companies = FavoriteCompany.get_list(current_user)
            @companies_list = UniversityCompany.all.order("company_name asc").limit(100) #.pluck(:id, :company_name)
            @functions = EmpFunction.all.order(:name) #.pluck(:id, :name)
            @graduation_year = GraduationYear.all.order(:year) #.pluck(:id, :year)
            response = { states: @states, industries: @industries, job_titles: @job_titles, companies: @companies, company_list: @company_list, graduation_year: @graduation_year, functions: @functions, cities: @cities }
        else
            logger.info { "3" }
            @states = State.all.order("state_name asc") #.pluck(:id, :state_name)#.limit(100)
            @cities = City.where('sort_order < 1000').order("city_name asc") #.pluck(:id, :city_name)
            @job_titles = JobTitle.where('sort_order < 1000').order("sort_order asc") #.pluck(:id, :job_title_name)
            @industries = Industry.all.order('industry_name ASC').limit(500) #.pluck(:id, :industry_name)
            @companies = Company.where('sort_order < 1000').order('company_name ASC') #.limit(500) #.pluck(:id, :company_name)
            # @favorite_companies = FavoriteCompany.get_list(current_user)
            @companies_list = Company.where('sort_order < 1000').order("company_name asc") #.limit(100) #.pluck(:id, :company_name)
            response = { states: @states, industries: @industries, job_titles: @job_titles, companies: @companies, company_list: @company_list, cities: @cities }
        end
        @tab_type = params[:type]
        # response = { states: @states, industries: @industries, job_titles: @job_titles, companies: @companies, company_list: @company_list }
        respond_to do |format|
            format.js {  }
            # format.json {render json: response}
        end
    end

    def show
        if params[:tab_type] == "greencard"

app/helpers/companies_helper.rb
module CompaniesHelper
end

app/views/companies/add_company_as_favorite.js.erb
<%= logger.info "==@fav_company=#{@companies_list.inspect}" %>
<%#= custom_bootstrap_flash %>
$('.fav_companies').empty().html("<%= j render partial: '/layouts/sidebar_right', locals: { '@companies': @companies, '@favorite_companies': @favorite_companies, '@companies_list': @companies_list } %>")
$('.fav-comp .remove-fav-icon').hide()
$('.fav-comp').on('mouseover', function(){
    $(this).children().find('a.remove-fav-icon').show()
    // $('.fav-comp .remove-fav-icon').show()
})
$('.fav-comp').on('mouseout', function(){
    // $('.fav-comp .remove-fav-icon').hide()
    $(this).children().find('a.remove-fav-icon').hide()
})


$('.fav-comp .remove-fav-icon').on('click', function(e){
    // console.log($(this).children('a.fav-icon'));
    var company_id = $(this).data('company-id')
    // var tab_type = $(this).data('tab-type')
    var company_name = $(this).children('a.fav-icon').data('company-name')
    var like = 'unlike'
    // if($(this).children('a.fav-icon').hasClass('active') == true){
    //     $(this).children('a.fav-icon').removeClass('active')
    //     like = 'unlike'
    // }else {
    //     $(this).children('a.fav-icon').addClass('active')
    //     like = 'like'
    // }
    // console.log(company_id);
    // console.log(company_name);
    $.ajax({
        // url: '/companies/add_company_as_favorite',
        url: '/companies/add_company_as_favorite',
        method: 'post',
        data: { company_id: company_id, company_name: company_name, like: like },
        dataType: 'script',
        // success: function(response){
        //     $('.loader').hide()
        //     console.log(response);
        //     toastr.success(response['message'])
        //     window.location.reload(true)
        // },
        // failure: function(response){
        //     $('.loader').hide()
        // }

    })
    $('.chart-cell .star_icon').children("a.fav-icon-"+company_id).removeClass('active')
})
$( ".select_company" ).val("").select2({
    // theme: "bootstrap"
    placeholder: 'Select Company',
    tags: true,
    // allowClear: true,
    // minimumInputLength: 3,
    ajax: {
        // url: '/companies/company_select2',
        url: '/companies/company_select2',
        dataType: 'json',
        data: function(term){
            return{
                term: term
            };
        },
        processResults: function (data) {
            return {
                results: $.map(data, function (item) {
                    return {
                        text: item.company_name.toProperCase(),
                        // slug: item.slug,
                        id: item.company_name
                    }
                })
            };
        }
    }
});

app/views/companies/get_cities.js.erb
$("#search_city_ids").html('<%=j options_from_collection_for_select(@cities, "id", "city_name") %>');
visa_screen_company_list()

visa_screen_industry_list()

app/views/companies/index.html.erb
<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%= form_for 'search', url: search_companies_path, method: :post, remote: true, html: { class: 'search_filter_form' } do |f| %>
            <!--left-section-->
                <% if session[:companies_search].present? && request.referer.split('/').include?('companies') %>
                    <%= render partial: 'filtered_list', locals: { f: f } %>
                <% else %>
                    <%= render partial: 'default_list', locals: { f: f } %>
                <% end %>
            <% end %>
                <!--/left-section-->
                <!--middle-section-->
            <div class="col-md-6">
                <div class="article companies">
                    <%= render partial: 'company_list', locals: { companies_petition: @companies_petition, companies_wage: @companies_wage, marker: @markers } %>
                    <!-- <div class="col-sm-12 no_companies">
                        <h1 class="title text-center"> Please Apply Filter </h1>
                    </div> -->
                </div>
            </div>
                                            <!--/middle-section-->
                                            <!--right-section-->
            <div class="fav_companies">
                <%= render 'layouts/sidebar_right' %>
            </div>
                                                                        <!--/right-section-->
        </div>
    </div>
</section>
                                                            <!--/section-->
<script>
$(document).ready(function(){
    $('.year_select').change(function(){
        if($(this).val() == "" || $(this).val() == null){
            $(this).val('2017').select2().trigger('change')
        }
    })
})

$('.chart-cell .star_icon').on('click', function(e){
    console.log($(this).children('a.fav-icon'));
    var company_id = $(this).children('a.fav-icon').data('company-id')
    // var tab_type = $(this).data('tab-type')
    var company_name = $(this).children('a.fav-icon').data('company-name')
    var like = 'unlike'
    if($(this).children('a.fav-icon').hasClass('active') == true){
        $(this).children('a.fav-icon').removeClass('active')
        like = 'unlike'
    }else {
        $(this).children('a.fav-icon').addClass('active')
        like = 'like'
    }
    e.preventDefault()
    e.stopImmediatePropagation()
    console.log(company_id);
    console.log(company_name);
    $.ajax({
        // url: '/companies/add_company_as_favorite',
        url: '/companies/add_company_as_favorite',
        method: 'post',
        data: { company_id: company_id, company_name: company_name, like: like },
        dataType: 'script',
        // success: function(response){
        //     $('.loader').hide()
        //     console.log(response);
        //     toastr.success(response['message'])
        //     window.location.reload(true)
        // },
        // failure: function(response){
        //     $('.loader').hide()
        // }

    })
})
</script>

app/views/companies/show.html.erb
<!--section-->
<section>
  <div class="container">
    <div class="row">
      <!--left-section-->
      <div class="col-md-3">
        <div class="cominfo">

            <div class="clogo">
                <figure>
                    <!-- <img src="images/ey_logo.png" alt="" class="img-circle" /> -->
                    <% logger.info "===comp===#{@company_details.inspect}" %>
                    <%= image_tag @company_details[:company_logo], class: 'img-circle' %>
                </figure>
                <h1><%= @company_details['employer_name'] %></h1>

            </div>

            <div class="form-group">
                <label>Industry</label>
                <h2><%= @company_details['industry'] %></h2>
            </div>
            <div class="form-group">
                <label>Employees</label>
                <h2><%= @company_details['employees'].present? ? @company_details['employees'] : '-' %></h2>
            </div>

          </div>
      </div>
      <!--/left-section-->

      <!--middle-section-->
      <div class="col-md-9 col-xs-12">
        <div class="article cdetails">
          <div class="header margin-bottom-15">
              <h1>
                  <a href="<%= companies_path %>" class="back-icon" ></a><%= @company_details['employer_name'] %>
              </h1>
              <div class="form-group star_icon">
                  <a data-toggle="tooltip" data-placement="right" title="Add to Favorite" href="#" class="fav-icon <%= @company_details[:is_favorite] == true ? 'active' : '' %>" data-tab-type="<%= params[:tab_type]%>" data-company-id="<%= @company_details['company_id'] %>" data-company-name="<%= @company_details['employer_name'] %>" id="fav_company"></a>
              </div>
          </div>
          <div class="article-content">
              <%= @company_details['company_description'] == '0.0' ? '-' : @company_details['company_description'] %>
              <div class="divider"></div>

              <h3 class=""> Learn more about this company </h3>
              <div class="cs_btn">

                  <%# if @company_details[:linkedin_link].present? %>
                  <a href="<%= @company_details[:linkedin_link].present? ? @company_details[:linkedin_link] : 'javascript:void(0)' %>" target="_blank" class="<%= @company_details[:linkedin_link].present? ? '' : 'disabled_parent' %>"><img src="/assets/link_icon.png" alt="" class="<%= @company_details[:linkedin_link].present? ? '' : 'disabled' %>" /><p>LinkedIn</p></a>
                  <%# end %>
                  <a href="<%= @company_details[:crunchbase_link].present? ? @company_details[:crunchbase_link] : 'javascript:void(0)' %>" target="_blank"  class="<%= @company_details[:crunchbase_link].present? ? '' : 'disabled_parent' %>"><img src="/assets/cb_icon.png" alt="" class="<%= @company_details[:crunchbase_link].present? ? '' : 'disabled' %>" /><p>Crunchbase</p></a>

                  <a href="<%= @company_details[:wikipedia_link].present? ? @company_details[:wikipedia_link] : 'javascript:void(0)' %>" target="_blank"  class="<%= @company_details[:wikipedia_link].present? ? '' : 'disabled_parent' %>"><img src="/assets/w_icon.png" alt="" class="<%= @company_details[:wikipedia_link].present? ? '' : 'disabled' %>"/><p>Wikipedia</p></a>
                  <%# if @company_details['glassdoor_link'].present? %>
                  <!-- <a href="<%#= @company_details['website'].present? ? @company_details['website'] : 'javascript:void(0)' %>" target="_blank"><img src="/assets/g_icon.png" alt="" /></a> -->
                  <a href="https://news.google.com/search?q=<%= @company_details['employer_name'] %>" target="_blank"><img src="/assets/g_icon.png" alt="" /><p>News</p></a>
                  <a href="<%= @company_details['glassdoor_link'].present? ? @company_details['glassdoor_link'] : 'javascript:void(0)' %>" target="_blank" class="<%= @company_details['glassdoor_link'].present? ? '' : 'disabled_parent' %>" ><img src="/assets/con_icon.png" alt="" class="<%= @company_details['glassdoor_link'].present? ? '' : 'disabled' %>"/><p>Glassdoor</p></a>
                  <%# end %>
                  <%# if @company_details[:crunchbase_link].present? %>
                  <%# end %>
                  <%# if @company_details[:wikipedia_link].present? %>
                  <%# end %>
                  <%# if @company_details['website'].present? %>
                  <%# end %>
              </div>


              <div class="divider"></div>

              <div class="com_btn">
                  <div class="row">
                  <!-- <div class="col-md-4"><a class="btn btn-theme3 rounded margin-bottom-15" href="<%#= get_open_jobs_jobs_path(company_name: @company_details['employer_name']) %>">Search Open Jobs</a></div> -->
                  <div class="col-md-4"><a class="btn btn-theme3 rounded margin-bottom-15" href="<%= search_jobs_path('job_search[country]': '', 'job_search[job_region]': 'international', 'job_search[job_type]': 'all', 'job_search[publish_date]': 'any', 'page': 1, sort: 'relevance', 'job_search[search]': '', 'job_search[company_name]': @company_details['employer_name']) %>" data-method = 'post'>Search Open Jobs</a></div>
                  <div class="col-md-4"><a class="btn btn-theme-rounded rounded margin-bottom-15" href="<%= network_trackers_path %>">Open My Meetings</a></div>
                  <div class="col-md-4"><a class="btn btn-theme2 rounded margin-bottom-15" href="<%= sponsored_petitions_companies_path(company_id: @company_details['company_id'] ,tab_type: params[:tab_type]) %>">Past Sponsored Positions</a></div>
                  </div>
              </div>

          </div>

        </div>
      </div>

      <!--/middle-section-->

      <!--right-section-->

      <!--/right-section-->
    </div>
  </div>
</section>
<!--/section-->